"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = _interopRequireDefault(require("../get-log"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const dispose = async (pool, options) => {
  const log = (0, _getLog.default)(`resource:dispose`);
  const {
    destroyResource,
    createResource
  } = pool;
  log.debug(`destroying the resource`);
  await destroyResource(options);
  log.debug(`re-creating the resource`);
  await createResource(options);
  log.debug(`resource disposed successfully`);
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map